summaryrefslogtreecommitdiff
path: root/recipes/transmission/files
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/transmission/files
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/transmission/files')
-rwxr-xr-xrecipes/transmission/files/init41
1 files changed, 41 insertions, 0 deletions
diff --git a/recipes/transmission/files/init b/recipes/transmission/files/init
new file mode 100755
index 0000000000..415a662f9f
--- /dev/null
+++ b/recipes/transmission/files/init
@@ -0,0 +1,41 @@
+#! /bin/sh
+#
+# This is an init script for openembedded
+# Copy it to /etc/init.d/transmission and type
+# > update-rc.d transmission defaults 60
+#
+#
+
+
+
+# Exit if the package is not installed
+test -f /usr/bin/transmission-daemon || exit 0
+
+
+
+case "$1" in
+ start)
+ echo "Starting transmission-daemon"
+ /sbin/start-stop-daemon --start --quiet --exec /usr/bin/transmission-daemon -- -w /home/transmission -g /home/transmission/.config
+ ;;
+ stop)
+ echo "Stopping transmission-daemon"
+ /sbin/start-stop-daemon --stop --quiet --exec /usr/bin/transmission-daemon
+ ;;
+ restart)
+ echo -n "Stopping transmission-daemon"
+ /sbin/start-stop-daemon --stop --quiet --exec /usr/bin/transmission-daemon
+ for i in 1 2 3 ;
+ do
+ sleep 1
+ echo -n "."
+ done
+ echo "Restarting transmission-daemon"
+ /sbin/start-stop-daemon --start --quiet --exec /usr/bin/transmission-daemon -- -w /home/transmission -g /home/transmission/.config
+ ;;
+ *)
+ echo "Usage: /etc/init.d/tranmission {start|stop|restart}"
+ exit 1
+esac
+
+exit 0